//
//	Numerical routines needed by bscalgen tasks family
//
#ifndef NUMERIC
#define NUMEIRC

namespace Numeric {
	void simplex(double **p, double y[], int ndim, double ftol,
				 double (*funk)(double *), int *nfunk);

	void numError(char errorText[]);
	double *numVector(int nl, int nh);
	void freeNumVector(double *v, int nl, int nh);
	double **numMatrix(int nrl, int nrh, int ncl, int nch);
	void freeNumMatrix(double **m, int nrl, int nrh, int ncl, int nch);
}

#endif
